Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 560518 - dev-util/catalyst: Create /etc/portage/repos.conf/gentoo.conf in stages
Summary: dev-util/catalyst: Create /etc/portage/repos.conf/gentoo.conf in stages
Status: CONFIRMED
Alias: None
Product: Gentoo Release Media
Classification: Unclassified
Component: Stages (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Catalyst Developers
URL:
Whiteboard:
Keywords:
: 572192 (view as bug list)
Depends on:
Blocks: 726334
  Show dependency tree
 
Reported: 2015-09-15 08:48 UTC by Neil
Modified: 2020-08-28 01:10 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
catalyst-repos.conf.patch (catalyst-repos.conf.patch,2.86 KB, patch)
2015-12-09 06:36 UTC, Arfrever Frehtes Taifersar Arahesis
Details | Diff
patch review (catalyst-repos.conf.patch,3.51 KB, patch)
2015-12-26 01:10 UTC, Brian Dolbec
Details | Diff
catalyst-repos.conf.patch (catalyst-repos.conf.patch,5.15 KB, patch)
2020-08-28 00:58 UTC, Arfrever Frehtes Taifersar Arahesis
Details | Diff
catalyst-repos.conf.patch (catalyst-repos.conf.patch,5.15 KB, patch)
2020-08-28 01:10 UTC, Arfrever Frehtes Taifersar Arahesis
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neil 2015-09-15 08:48:54 UTC
Doing a fresh install and /etc/portage/repos.conf/gentoo.conf is missing.

This means that someone following the handbook (as per Wiki https://wiki.gentoo.org/wiki/Handbook:AMD64/Installation/Base) will perform...

mirrorselect -i -r -o >> /mnt/gentoo/etc/portage/make.conf

...but portage then reports...

!!! SYNC setting found in make.conf.
    This setting is Deprecated and no longer used.  Please ensure your 'sync-type' and 'sync-uri' are set correctly in /etc/portage/repos.conf/gentoo.conf




Reproducible: Always

Steps to Reproduce:
1. Perform a fresh install as per AMD64 Handbook
2. After (optionally) setting an rsync mirror try emerging any package

Actual Results:  
!!! SYNC setting found in make.conf.
    This setting is Deprecated and no longer used.  Please ensure your 'sync-type' and 'sync-uri' are set correctly in /etc/portage/repos.conf/gentoo.conf

Expected Results:  
Sync server should be specified in /etc/portage/repos.conf/gentoo.conf

Documentation/handbook should reflect this too.

Current solution is (in a chroot'd environment)...

mkdir /etc/portage/repos.conf && touch /etc/portage/repos.conf/gentoo.conf

Then edit /etc/portage/repos.conf/gentoo.conf with a minimum...

[DEFAULT]
main-repo = gentoo

[gentoo]
location = /usr/portage
sync-type = rsync
sync-uri = rsync://rsync.gentoo.org/gentoo-portage

...users could be advised to modify 'sync-uri' to a local mirror.
Comment 1 charles17 2015-09-17 06:43:56 UTC
See https://bugs.gentoo.org/show_bug.cgi?id=543848
Comment 2 Arfrever Frehtes Taifersar Arahesis 2015-12-09 06:36:11 UTC
Created attachment 418818 [details, diff]
catalyst-repos.conf.patch

I attach untested patch for master branch of Catalyst.
Comment 3 Brian Dolbec gentoo-dev 2015-12-26 01:10:27 UTC
Created attachment 420854 [details, diff]
patch review

I've gotten this one reviewed.   Mostly good, just a couple things to fix.

Thank you
Comment 4 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2017-02-06 21:56:34 UTC
*** Bug 572192 has been marked as a duplicate of this bug. ***
Comment 5 charles17 2019-11-03 15:37:55 UTC
This bug should be closed.  
For wrong behavior of mirrorselect --rsync there is bug 699232.  

Also, the recommendation for changing the rsync mirror could be changed to using "eselect repository" instead of "mirrorselect --rsync":

touch /etc/portage/repos.conf
eselect repository add gentoo rsync <rsync-uri>
Comment 6 Arfrever Frehtes Taifersar Arahesis 2019-11-04 03:55:01 UTC
Problem is still present in newest stages (e.g. stage3-amd64-20191103T214502Z.tar.xz):
  etc/portage/make.conf contains deprecated PORTDIR=... assignment.
  etc/portage/repos.conf is missing.
Comment 7 Michael 'veremitz' Everitt 2020-02-02 01:37:29 UTC
(In reply to Brian Dolbec from comment #3)
> Created attachment 420854 [details, diff] [details, diff]
> patch review
> 
> I've gotten this one reviewed.   Mostly good, just a couple things to fix.
> 
> Thank you

I'll pick this up, tidy, and see if I can get merged.
Comment 8 Matt Turner gentoo-dev 2020-04-08 04:03:48 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #2)
> Created attachment 418818 [details, diff] [details, diff]
> catalyst-repos.conf.patch
> 
> I attach untested patch for master branch of Catalyst.

If you wouldn't mind rebasing this on 5 years of development, I'll see that it gets tested and committed.
Comment 9 Arfrever Frehtes Taifersar Arahesis 2020-08-28 00:58:05 UTC
Created attachment 657204 [details, diff]
catalyst-repos.conf.patch
Comment 10 Arfrever Frehtes Taifersar Arahesis 2020-08-28 01:10:18 UTC
Created attachment 657206 [details, diff]
catalyst-repos.conf.patch

(First patch was using `rm -fr`. Second patch was using clear_dir(), but clear_dir() on non-existent target would print warning, so third patch calls ensure_dirs() before clear_dir(). clear_dir(remove=False) internally also calls ensure_dirs().)